First boot failed after fresh install OS

  • 65 Views
  • Last Post 04 July 2019
  • Topic Is Solved
Djiai posted this 03 July 2019

Hello,

I have install AMP on a fresh install Debian 9. Not graphical server.

Apt update and upgrade OK.

I use Quick Install and the finish script failed.

Creating default instance...
[Info] AMP Instance Manager v1.8.2.0 built 26/06/2019 11:06
[Info] Release spec: Release - built by CUBECODERS/BuildBot on CCL-DEV
[Info] An ADS instance has already been created! Starting that instead of re-running quickstart...
[Info] Starting Instance: 'ADS01'
tmux: need UTF-8 locale (LC_CTYPE) but have ANSI_X3.4-1968
[Info] Waiting for AMP instance to start...
[Error] Failed to start AMP. Exit code was 1
[Info] This instance failed to start. Run 'ampinstmgr LastLog ADS01' to view it's most recent log.
Installation complete!

Log error

    [21:03:22] [Core Info] : Starting AMP version 1.8.2.0 (TITAN), built 26/06/2019 14:21
[21:03:22] [Core Info] : Release spec: Release - built by CUBECODERS/BuildBot on CCL-DEV
[21:03:22] [Core Warning] : Specified password is very weak. Change it ASAP.
[21:03:22] [Core Info]: OS: Linux / x86_64
[21:03:22] [Core Info] : CPU: Intel(R) Core(TM) i7-7700T CPU @ 2.90GHz (4C/8T)
[21:03:22] [Core Info]: AMP Instance ID: eee976c5-a9d7-4a94-91b5-222de68c368b
[21:03:22] [Core Info] : Checking for AMP updates...
[21:03:23] [WebServer Info] : Websockets are enabled.
[21:03:23] [ModuleLoader Info] : Loaded ADSModule version 1.0.0.0 by CubeCoders Limited
[21:03:23] [ModuleLoader Info]: Loaded FileManager version 1.0.0.0 by CubeCoders Limited
[21:03:23] [ModuleLoader Info]: Loaded EmailSender version 1.0.0.0 by CubeCoders Limited
[21:03:23] [ModuleLoader Info] : Loaded WebRequestPlugin version 1.0.0.0 by CubeCoders Limited
[21:03:23] [ModuleLoader Info]: Loaded LocalFileBackupPlugin version 1.0.0.0 by CubeCoders Limited
[21:03:23] [ModuleLoader Info]: ADSModule requests dependency InstanceManagerPlugin...
[21:03:23] [ModuleLoader Info] : Loaded InstanceManagerPlugin version 1.0.0.0 by CubeCoders Limited
[21:03:23] [ModuleLoader Info] : ADSModule requests dependency SystemUserManagerPlugin...
[21:03:23] [ModuleLoader Info] : Loaded SystemUserManagerPlugin version 1.0.0.0 by CubeCoders Limited
[21:03:23] [ModuleLoader Info] : Loaded steamcmdplugin version 1.0.0.0 by CubeCoders Limited
[21:03:23] [Core Info] : -configonly specified or activation performed. Saving settings and shutting down.

test with : ampinstmgr quickstart

[Info] AMP Instance Manager v1.8.2.0 built 26/06/2019 11:06
[Info] Release spec: Release - built by CUBECODERS/BuildBot on CCL-DEV
Please enter your chosen admin username for ADS
>XXXXXXXXXXX

Enter your admin password for ADS
>********

Please confirm value for Password
>********

[Info] An ADS instance has already been created! Starting that instead of re-running quickstart...
[Info] Starting Instance: 'ADS01'
tmux: need UTF-8 locale (LC_CTYPE) but have ANSI_X3.4-1968
[Info] Waiting for AMP instance to start...
[Error] Failed to start AMP. Exit code was 1
[Info] This instance failed to start. Run 'ampinstmgr LastLog ADS01' to view it's most recent log.

Not new log error.

Thanks

Order By: Standard | Newest | Votes
Mike posted this 04 July 2019

Try running locale-gen as root. The issue is you have no UTF8 locales installed and AMP/tmux requires one.

Djiai posted this 04 July 2019

Hi!

Thanks! I have install "dpkg-reconfigure locales" in ROOT, and select " all possibilities" in the first screen. All locales are installed, and it's good!!

(sorry for my english ;p )

Close